define(function (require, exports, module) {
    var $ = require('lib.Zepto');

    var URL = require('readnovelm/js/common/utils/url.js');

    var data = {
        bookId: URL.getParamByName('bookId'),
    };

    exports = module.exports = {
        init: function () {
            var $form = $('#commSendForm');
            var $btn = $form.find('input[type="submit"]');
            var $title = $('#commSendInput');
            var $content = $('#commSendArea');

            function isValid($el, label) {
                var text = $el.val().trim();
                var minlength = $el.attr('min-length');
                var maxlength = $el.attr('max-length');

                if (minlength > 0 && text.length < minlength) {
                    qdsdk.ui.toast(label + '字数不能少于' + minlength + '个字');
                    return false;
                }

                if (maxlength > 0 && text.length > maxlength) {
                    qdsdk.ui.toast(label + '字数不能大于' + maxlength + '个字');
                    return false;
                }

                return true;
            }
            var canSubmit = true
            $form.on({
                input: function () {
                    if (!$content.val().trim()) {
                        $btn.attr('disabled', '');
                    } else {
                        $btn.removeAttr('disabled');
                    }
                },
                submit: function (event) {
                    event.preventDefault();

                    if(!canSubmit) {
                        return;
                    }

                    if (!isValid($title, '标题')) {
                        return;
                    }

                    if (!isValid($content, '评论内容')) {
                        return;
                    }
                    canSubmit = false;
                    setTimeout(function () {
                        canSubmit = true;
                    }, 2000);

                    var title = $title.val().trim();
                    var content = $content.val().trim();

                    // 提交
                    $.post(ajaxUrl + 'forum/addComment', {bookId: data.bookId, title: title, content: content}, function (result) {
                        var result = JSON.parse(result);
                        if (result.code === 0) {
                            qdsdk.ui.toast('评论成功');
                            setTimeout(function () {
                                $form[0].reset();
                                //location.replace(jumplink);
                                qdsdk.ui.exit();
                            }, 800);
                        } //else if (result.code === 4) {
                            // 未登录，跳转登录界面
                           // qdsdk.app.openLogin();
                        //} 
                        else {
                            qdsdk.ui.toast(result.msg);
                        }
                    });
                }
            });
        },
    };
});
