define(function(require, exports, module) {
    var $ = require('lib.Zepto');
    var ejs = require('util.ejs2');
    // 侧边栏切换
    var Aside = require('../../../static/js/common/components/Aside.js');
    var LazyLoad = require('../../../static/js/common/components/LazyLoad.js');

    // 容器元素
    var container = $('#content');
    exports = module.exports = {
        /**
         * 页面初始化
         */
        init: function() {
            this.initAside();
            this.initLazyLoad();
            this.fillData();
            this.refreshEvent();
        },

        refreshEvent: function () {
            var self = this;
            qdsdk.invokeClient('event', 'add', {name: 'refreshEvent'});
            qdsdk.addEventListener('refreshEvent', function (result) {
                if(result.result == 0) {
                    // true表示是通过refresh触发的
                    self.fillData(true);
                }
            });
        },

        // 侧边栏展开和收起效果
        initAside: function() {
            new Aside($('#asideTrigger'));
        },
        initLazyLoad: function() {
            container.lazyLoad();
        },

        //  填充数据
        fillData: function(refreshEvent) {
            $.getJSON(ajaxUrl + 'book/getcategorynewinfo', function (result) {
                if (result.code == 0) {
                    var data = result.data;
                    if(refreshEvent) {
                        qdsdk.invokeClient('ui', 'cancelRefresh');
                        qdsdk.ui.toast('更新成功');
                    }
                    
                    if (data.bookListInfo) {
                        var bookListInfo = ejs.render('#tpl-book-list.html', { list: data.bookListInfo })
                        $('#bookListInfo').html(bookListInfo); // 书单展示 
                    }
                    var femaleList = ejs.render('#tpl-category-list.html', { list: data.female });
                    $('#femaleList').html(femaleList); // 分类列表

                    var maleList = ejs.render('#tpl-category-list.html', { list: data.male });
                    $('#maleList').html(maleList); // 分类列表
                    $('.sort-li').each(function (index, ele) {
                        $(ele).find('.report-ele').each(function () {
                            var id = index + 3;
                            if(id > 9) {
                                $(this).data('eventid', 'hx_C' + id);
                            } else {
                                $(this).data('eventid', 'hx_C0' + id);
                            }
                        });
                    });
                    qdsdk.invokeClient('ui', 'setLoadingProgressFinish');
                }
            });
        }
    };
});
