/**
 * @Stick.js
 * @author zhangxinxu
 * @version
 * @Created: 16-11-03
 * @description position:stick;
 * @document  /guide
 */
(function (global, factory) {
    if (typeof define === 'function' && (define.amd || define.cmd)) {
        define(factory);
    } else {
        factory();
    }
}(this, function () {
    'use strict';

    $.fn.stick = function (options) {
        var defaults = {
            container: $(window),
            offsetTop: 0
        };

        var params = $.extend({}, defaults, options || {});

        // 滚动容器
        var container = params.container, target = $(this);

        // 偏移
        var offsetTop = params.offsetTop, positionTop = target.position().top;

        // 事件
        container.on('scroll', function () {
            var scrollTop = container.scrollTop();

            if (scrollTop + offsetTop > positionTop) {
                target.css({
                    position: 'fixed',
                    top: offsetTop
                });
            } else {
                target.css({
                    position: '',
                    top: ''
                });
            }
        });

        return target;
    };

    var Stick = function (el, options) {
        el.stick();
    };

    return Stick;
}));
