/**
 * @Tips.js
 * @author zhangxinxu
 * @version
 * @Created: 16-10-17
 * @description form LuLu
 */
(function (global, factory) {
    if (typeof define === 'function' && (define.amd || define.cmd)) {
        define(factory);
    } else {
        factory();
    }
}(this, function () {
    'use strict';

    var elTips = null, timerTips = null;
    $.tips = function (content, time, callback) {
        if (typeof time == 'function') {
            callback = time;
            time = 2500;
        } else if (typeof time == 'undefined') {
            time = 2500;
        }

        callback = callback || function () {};

        if (!content && elTips) {
            elTips.removeClass('fadein').addClass('fadeout');
        } else if (!content) {
            return;
        }

        // 清除定时器
        clearTimeout(timerTips);

        // 改变内容
        if (elTips) {
            elTips.html(content)[0].callback = callback;
        } else {
            elTips = $('<div class="tips"></div>').html(content);

            elTips.on('webkitAnimationEnd', function(event) {
                if (event && event.animationName == 'fadeout') {
                    elTips.css('display', 'none');
                    this.callback(elTips);
                }
            }).on('animationend', function(event) {
                if (event && event.animationName == 'fadeout') {
                    elTips.css('display', 'none');
                    this.callback(elTips);
                }
            }).on('touchstart', function () {
                elTips.css('display', 'none');
                this.callback(elTips);
            })[0].callback = callback;

            $('body').append(elTips);
        }

        // 定时器
       timerTips = setTimeout(function () {
            if (elTips) {
                elTips.removeClass('fadein').addClass('fadeout');
            }
        }, time);

        // 层级最大
        var zIndex = 29, newZIndex = zIndex;

        $('body').children('div,aside').each(function() {
            var elChild = $(this);
            if (elChild.css('display') !== 'none') {
                newZIndex = Math.max(newZIndex, parseInt(elChild.css('z-index')) || 0);
            }
        });

        if (zIndex != newZIndex) {
            elTips.css('z-index', newZIndex + 1);
        }

        elTips.css('display', 'inline').addClass('fadein').removeClass('fadeout');
    };

    return $.tips;
}));
