/**
 * 延时加载图片逻辑
 *
 * @author Zhang Chengrong
 *
 * @html
 * <img src="<%= staticConf.domains.static %>/qdm/img/book-cover.svg"
 *     data-src="<%= getBookCover(book.bid, 150) %>" class="book-cover" alt="<%= book.bName %>">
 */
define(function (require, exports, module) {
    var $ = require('lib.Zepto');

    // 图片延迟加载
    require('../../../../static/js/common/components/LazyLoad.js');

    exports = module.exports = {
        scrollerSelector: null,

        // 延时加载初始化
        init: function () {
            // 图片延时加载
            this.initLazyLoad();
        },

        // 延时加载图片
        initLazyLoad: function () {
            var scrollerSelector = this.scrollerSelector || 'body';
            $(scrollerSelector).lazyLoad();
        },

        // 更新延时加载
        updateLazyLoad: function () {
            var scrollerSelector = this.scrollerSelector || 'body';
            $(scrollerSelector).trigger('scroll');
        },
    };
});
