define(function (require, exports, module) {
    var RECENTLY_READ = 'RECENTLY_READ';

    exports = module.exports = {
        /**
         * 获取最近阅读的作品
         */
        getBooks: function () {
            // 获取最新阅读的作品
            var books = localStorage.getItem(RECENTLY_READ);

            if (books) {
                try {
                    books = JSON.parse(books);
                } catch (ex) {
                    books = [];
                }
            }

            return Array.isArray(books) ? books : [];
        },

        /**
         * 添加阅读作品
         * @param {Number} bid 作品ID
         * @param {String} bName 作品名称
         * @param {String} readChapter 阅读章节
         */
        addBook: function (bid, bName, readChapter) {
            var books = this.getBooks();

            // @todo 同作品的阅读历史覆盖
            books.push({
                bid: bid,
                bName: bName,
                readChapter: readChapter,
            });

            localStorage.setItem(RECENTLY_READ, JSON.stringify(books));
        },
    };
});
