define(function (require, exports, module) {
    var SEARCH_HISTORY = 'SEARCH_HISTORY';

    exports = module.exports = {
        /**
         * 获取最近搜索的关键字
         */
        getKeywords: function () {
            var keywords = localStorage.getItem(SEARCH_HISTORY);

            if (keywords) {
                try {
                    keywords = JSON.parse(keywords);
                } catch (ex) {
                    keywords = [];
                }
            }

            return Array.isArray(keywords) ? keywords : []; // 测试数据
        },

        clearKeywords: function () {
            localStorage.removeItem(SEARCH_HISTORY);
        },

        /**
         * 添加搜索关键字
         * @param {String} keyword 搜索关键字
         */
        addKeyword: function (keyword) {
            var keywords = this.getKeywords();

            var index = keywords.indexOf(keyword);

            if (index > -1) {
                keywords.splice(index, 1);
            }

            keywords.unshift(keyword);

            localStorage.setItem(SEARCH_HISTORY, JSON.stringify(keywords));
        },
    };
});
