define(function (require, exports) {
    var domains = g_data.domains; // 此处 domain 已经自带协议头

    /**
     * 获取作品封面图片
     * @param {Number} bookId 作品ID
     * @param {Number} width  宽度, 有 600 300 180 150 90
     * @return {String} 作品封面图片
     */
    exports.getBookCover = function (bookId, width) {
        if (width <= 90) {
            width = 90;
        } else if (width <= 150) {
            width = 150;
        } else if (width <= 180) {
            width = 180;
        } else if (width <= 300) {
            width = 300;
        } else if (width <= 600) {
            width = 600;
        } else {
            // 未传递此值，则默认为300
            width = 300;
        }

        return domains.cover + '/qdbimg/349573/' + bookId + '/' + width;
    };

    /**
     * 获取作品链接
     * @param {Number} bookId 作品ID
     * @return {String} 作品链接
     */
    exports.getBookUrl = function (bookId) {
        return domains.m + '/book/' + bookId;
    };
});
