define(function (require, exports, module) {
    var $ = require('lib.Zepto');
    var ejs = require('util.ejs2');
    var merge = require('readnovelm/js/common/page/merge.js');

    exports = module.exports = merge({
        /**
         * 页面初始化
         */
        init: function () {
            var self = this;
            self.fillData();
            self.visibilityEvent();
        },
        /**
         *  加载数据
         */
        fillData: function () {
            var self = this;
            $.getJSON(ajaxUrl + 'dailyTask/index', function (result) {
                if (result.code === 0) {
                    var task = ejs.render('#tpl-task-li.html', { list: result.data.listInfo });                    
                    $('.task-ul').html(task);
                    self.poptipEvent();
                    self.taskBtnEvent();                                
                } 
            });
        },
        poptipEvent: function () {
            $('.icon-why').on('click', function (e) {
                e.preventDefault();
                $('.pop-tip').hide();                
                $(this).find('.pop-tip').show();
            });
            $('.content').on('click', function (e) {
                e.preventDefault();
                if (!$(e.target).hasClass('icon-why'))
                $('.pop-tip').hide();
            })
        },
        taskBtnEvent: function () {
            var self = this;
            $('.btn-go').on('click', function (e) {
                e.preventDefault();
                var href = $(this).attr('href');                
                qdsdk.invokeClient('app', 'checkLogin', {}, function (result) {
                    if(result.data.loginState) {
                        window.location = href;
                    } else {
                        qdsdk.app.openLogin();  
                    }
                });
            });
            $('.btn-getaward').on('click', function (e) {
                e.preventDefault();
                var taskId = $(this).data('taskid');
                var $this = $(this);
                $.ajax({
                    type: "post",
                    url: ajaxUrl + 'dailyTask/receive',
                    data: {id: taskId},
                    dataType: "json",
                    success: function (response) {
                        if (response.code === 0) {
                            self.pop('领取成功', response.msg);   
                            $this.removeClass('btn-getaward').addClass('btn-disable').html('已领取');
                        } else {
                            qdsdk.ui.alert({ title: '领取失败', text: response.msg }, function (data) {
                            });                   
                        }
                    }
                });
            });
        },
        pop: function (title, content) {
            $('.pop-title').html(title);
            $('.pop-content').html(content);    
            $('.pop').show();
            $('.btn-ok').on('click', function (e) {
                e.preventDefault();
                $('.pop').hide();            
            });
        },
        visibilityEvent: function () {
            var self = this;
            qdsdk.invokeClient('event', 'add', {name: 'browserVisibilityChange'});
            qdsdk.addEventListener('browserVisibilityChange', function (result) {
                if(result.data.visibility) {
                    self.fillData();
                }
            });
        }
    });
});
