define(function(require, exports, module) {
    var $ = require('lib.Zepto');
    var ejs = require('util.ejs2');
    // 侧边栏切换
    var Aside = require('../../../static/js/common/components/Aside.js');
    var LazyLoad = require('../../../static/js/common/components/LazyLoad.js');

    // 容器元素
    var container = $(g_data.container || window);
    exports = module.exports = {
        /**
         * 页面初始化
         */
        init: function() {
            this.initAside();

            this.fillData();
            this.refreshEvent();
        },

        refreshEvent: function () {
            var self = this;
            qdsdk.invokeClient('event', 'add', {name: 'refreshEvent'});
            qdsdk.addEventListener('refreshEvent', function (result) {
                if(result.result == 0) {
                    // true表示是通过refresh触发的
                    self.fillData(true);
                }
            });
        }, 

        // 侧边栏展开和收起效果
        initAside: function() {
            new Aside($('#asideTrigger'));
        },
        // 滚动加载
        initLazyLoad: function() {
            container.lazyLoad();
        }, 

        // Ajax拉取并填充数据
        fillData: function(refreshEvent) {
            var self = this;
            $.getJSON(ajaxUrl + 'book/GetFinBookInfo', function (result) {
                if (result.code == 0) {
                    var data = result.data;
                    if(refreshEvent) {
                        qdsdk.invokeClient('ui', 'cancelRefresh');
                        qdsdk.ui.toast('更新成功');
                    }
                    data.newFinBook.eventid = 'hx_B46';
                    var newFinBook = ejs.render('#tpl-book-list.html', { list: data.newFinBook });
                    $('#newFinBook').html(newFinBook); // 最新完结 

                    data.classicBook.eventid = 'hx_B47';
                    var classicBook = ejs.render('#tpl-book-list.html', { list: data.classicBook });
                    $('#classicBook').html(classicBook); // 经典必读

                    data.hotFinBook.eventid = 'hx_B48';
                    var hotFinBook = ejs.render('#tpl-book-list.html', { list: data.hotFinBook });
                    $('#hotFinBook').html(hotFinBook); // 畅销完本

                    // 滚动加载
                    self.initLazyLoad();
                    qdsdk.invokeClient('ui', 'setLoadingProgressFinish');
                } 
            });
        }
    };
});
