define(function (require, exports, module) {
    var $ = require('lib.Zepto');
    var ejs = require('util.ejs2');
    // 页面继承方法
    var merge = require('../../../static/js/common/page/merge.js');
    var lazyLoadMixin = require('../../../static/js/common/mixin/lazyLoad.js');
    // 侧边栏切换
    // var lazyLoad = require('../../../static/js/common/components/lazyLoad.js');
    // 选项卡切换
    var Tab = require('../../../static/js/common/components/Tab.js');
    // 头部广告位滑来滑去
    var Swipe = require('../../../static/js/common/components/Swipe.js');
    // 头部广告位滑来滑去
    var Inertia = require('../../../static/js/common/components/Inertia.js');
    // 模板扩展方法
    var tplExtends = require('../../../static/js/common/utils/tplExtends.js');
    var Iscroll = require('../../../static/js/common/components/iscroll.js');
    exports = module.exports = merge({
        mixins: [lazyLoadMixin],

        /**
         * 页面初始化
         */
        init: function () {
            // fill data
            this.fillData();


            this.refreshEvent();

            this.visibilityEvent();
        },

        // 限时免费倒计时效果
        initFree: function (notfirst) {
            var $time = $('#time');

            $.getJSON(ajaxUrl + 'freeBook/getEndTime', {
            }, function (result) {
                // 元素
                // 子元素
                var elTimeChilds = $time.children();
                // 时间
                var seconds = result.endTime;
                // 定时器
                // var timer = null;
                // 非首次
                if (notfirst) {
                    clearInterval(timer);
                }

                // 加0方法，如果小于10
                var fnZero = function (number) {
                    if (number > 0) {
                        if (number <= 9) {
                            return '0' + number;
                        }
                        return '' + number;
                    }
                    return '00';
                };

                if (!seconds) {
                    seconds = 0;
                }

                // 显示时间
                var fnTime = function () {
                    if (seconds >= 0) {
                        var arrTime = [
                            fnZero(Math.floor(seconds / 86400)),
                            fnZero(Math.floor((seconds % 86400) / 3600)),
                            fnZero(Math.floor((seconds % 3600) / 60)),
                            fnZero(seconds % 60)
                        ];

                        elTimeChilds.each(function (index) {
                            if (arrTime[index] !== undefined) {
                                $(this).html(arrTime[index]);
                            }
                        });
                    } else {
                        elTimeChilds.html('00');
                        clearInterval(timer);
                    }

                    seconds -= 1;
                };

                fnTime();

                timer = setInterval(fnTime, 1000);

                // 显示时间
                $time.removeAttr('data-second');
            });
        },

        refreshEvent: function () {
            var self = this;
            qdsdk.invokeClient('event', 'add', { name: 'refreshEvent' });
            qdsdk.addEventListener('refreshEvent', function (result) {
                if (result.result == 0) {
                    // true表示是通过refresh触发的
                    self.fillData(true);
                }
            });
        },

        visibilityEvent: function () {
            var self = this;
            qdsdk.invokeClient('event', 'add', { name: 'browserVisibilityChange' });
            qdsdk.addEventListener('browserVisibilityChange', function (result) {
                if (result.data.visibility) {
                    $('body').lazyLoad();
                    //self.initSlide();
                }
            });
        },

        //  填充数据
        fillData: function (refreshEvent) {
            var self = this;
            $.getJSON(ajaxUrl + 'book/getBookStoreInfo', function (result) {
                if (result.code == 0) {
                    $('.loadingholder').hide();
                    var data = result.data;
                    if (refreshEvent) {
                        qdsdk.invokeClient('ui', 'cancelRefresh');
                        qdsdk.ui.toast('更新成功');
                    } else {
                        self.initFree();
                        setInterval(function () {
                            self.initFree(true);
                        }, 1000 * 20);
                    }
                    if (data.adInfo.adFirst) {
                        data.adInfo.adFirst.eventid = 'hx_B49';
                        var adFirst = ejs.render('#tpl-ad-item.html', data.adInfo.adFirst);
                        $('.home-ad-first').html(adFirst); // 单条广告
                    }
                    data.hotBookInfo.isLazy = false;
                    data.hotBookInfo.eventid = 'hx_B12';
                    var hotBookInfo = ejs.render('#tpl-slide-li.html', { list: data.hotBookInfo });
                    $('#hotBookInfo').html(hotBookInfo); // 热门小说

                    data.rankBookInfo.hot.isLazy = false;
                    data.rankBookInfo.hot.eventid = 'hx_B14';
                    var hot = ejs.render('#tpl-slide-li.html', { list: data.rankBookInfo.hot });
                    $('#rankOl1').html(hot); // 排行榜热销

                    data.rankBookInfo.click.isLazy = true;
                    data.rankBookInfo.click.eventid = 'hx_B15';
                    var click = ejs.render('#tpl-slide-li.html', { list: data.rankBookInfo.rec });
                    $('#rankOl2').html(click); // 排行榜推荐榜

                    data.rankBookInfo.newBook.isLazy = true;
                    data.rankBookInfo.newBook.eventid = 'hx_B16';
                    var newBook = ejs.render('#tpl-slide-li.html', { list: data.rankBookInfo.newBook });
                    $('#rankOl3').html(newBook); // 排行榜新书

                    data.rankBookInfo.fin.isLazy = true;
                    data.rankBookInfo.fin.eventid = 'hx_B17';
                    var fin = ejs.render('#tpl-slide-li.html', { list: data.rankBookInfo.readxBillboard });
                    $('#rankOl4').html(fin); // 排行榜风云榜

                    data.newBookInfo.isLazy = true;
                    data.newBookInfo.eventid = 'hx_B20';
                    var newBookInfo = ejs.render('#tpl-book-list.html', { list: data.newBookInfo });
                    $('#newbook').html(newBookInfo); // 新书尝鲜

                    data.hotFinBookInfo.isLazy = true;
                    data.hotFinBookInfo.eventid = 'hx_B22';
                    var hotFinBookInfo = ejs.render('#tpl-book-list.html', { list: data.hotFinBookInfo });
                    $('#hotFinBookInfo').html(hotFinBookInfo); // 人气完本

                    data.categoryRecInfo.xdyqRec.isLazy = true;
                    data.categoryRecInfo.xdyqRec.eventid = 'hx_B27';
                    var xdyqRec = ejs.render('#tpl-slide-li.html', { list: data.categoryRecInfo.xdyqRec });
                    $('#topOl1').html(xdyqRec); // 现代言情
                    
                    data.categoryRecInfo.gdyqRec.isLazy = true;
                    data.categoryRecInfo.gdyqRec.eventid = 'hx_B25';
                    var gdyqRec = ejs.render('#tpl-slide-li.html', { list: data.categoryRecInfo.gdyqRec });
                    $('#topOl2').html(gdyqRec); // 古代言情

                    data.categoryRecInfo.yxjjRec.isLazy = true;
                    data.categoryRecInfo.yxjjRec.eventid = 'hx_B32';
                    var yxjjRec = ejs.render('#tpl-slide-li.html', { list: data.categoryRecInfo.yxjjRec });
                    $('#topOl3').html(yxjjRec); // 豪门总裁

                    data.categoryRecInfo.xhyqRec.isLazy = true;
                    data.categoryRecInfo.xhyqRec.eventid = 'hx_B29';
                    var xhyqRec = ejs.render('#tpl-slide-li.html', { list: data.categoryRecInfo.xhyqRec });
                    $('#topOl4').html(xhyqRec); // 玄幻言情

                    data.categoryRecInfo.xylyRec.isLazy = true;
                    data.categoryRecInfo.xylyRec.eventid = 'hx_B30';
                    var xylyRec = ejs.render('#tpl-slide-li.html', { list: data.categoryRecInfo.xylyRec });
                    $('#topOl5').html(xylyRec); // 穿越架空

                    data.categoryRecInfo.xxqyRec.isLazy = true;
                    data.categoryRecInfo.xxqyRec.eventid = 'hx_B26';
                    var xxqyRec = ejs.render('#tpl-slide-li.html', { list: data.categoryRecInfo.xxqyRec });
                    $('#topOl6').html(xxqyRec); // 仙侠奇缘

                    data.categoryRecInfo.lmqcRec.isLazy = true;
                    data.categoryRecInfo.lmqcRec.eventid = 'hx_B28';
                    var lmqcRec = ejs.render('#tpl-slide-li.html', { list: data.categoryRecInfo.lmqcRec });
                    $('#topOl7').html(lmqcRec); // 青春灵异

                    data.categoryRecInfo.khkjRec.isLzay = true;
                    data.categoryRecInfo.khkjRec.eventid = 'hx_B31';
                    var khkjRec = ejs.render('#tpl-slide-li.html', { list: data.categoryRecInfo.khkjRec });
                    $('#topOl8').html(khkjRec); // 科幻网游

                    data.bossRecInfo.isLazy = true;
                    data.bossRecInfo.eventid = 'hx_B34';
                    var bossRecInfo = ejs.render('#tpl-slide-li.html', { list: data.bossRecInfo });
                    $('#bossRecInfo').html(bossRecInfo); // 编辑推荐

                    if (data.adInfo.adTop.length < 3) {
                        data.adInfo.adTop.push(data.adInfo.adTop[0]);
                    }
                    if (data.adInfo.adTop.length) {
                        var adTop = ejs.render('#tpl-ad-list.html', { list: data.adInfo.adTop });
                        $('#slideContainer').html(adTop); // 首页轮播
                        // 顶部的图片滑动切换效果
                        self.initSlide();
                    }

                    if (data.adInfo.adMiddle) {
                        data.adInfo.adMiddle.eventid = 'hx_B19';
                        var adMiddle = ejs.render('#tpl-ad-item.html', data.adInfo.adMiddle);
                        $('.home-ad-middle').html(adMiddle); // 单条广告
                    }

                    $.getJSON(ajaxUrl + 'freeBook/getLimitFree', function (result) {
                        if (result.code == 0) {
                            var bookList = result.data.bookList;
                            if (bookList != 0) {
                                bookList.eventid = 'hx_B50';
                                var limitFreeBookInfo = ejs.render('#tpl-slide-li.html', { list: bookList });
                                $('#limitFreeBookInfo').html(limitFreeBookInfo); // 限时免费
                                $('#limit-module').show();
                            }
                        }
                        // 选项卡切换
                        self.initTab();
                    });
                    // self.initLazyLoad();
                    $('body').lazyLoad();
                    var imgLoadedNum = 0;
                    $('img').on('load', function () {
                        imgLoadedNum++;
                        if (imgLoadedNum == 19) {
                            qdsdk.invokeClient('ui', 'setLoadingProgressFinish');
                        }
                    });
                }
            });
            $.ajax({
                type: "get",
                url: ajaxUrl + "bookList/getBookListForStore",
                data: "",
                dataType: "json",
                success: function (response) {
                    if (response.data && response.data.length) {
                        var bookListInfo = ejs.render('#tpl-booklist-slide.html', { list: response.data });
                        $('#bookListInfo').html(bookListInfo); // 书单精选推荐
                        $('#Jbooklist-module').show();                        
                    } else {
                        $('#Jbooklist-module').hide();
                    }
                    $('.btn-collect-booklist').on('click', function (e) {
                        e.preventDefault();
                        var $this = $(this);                        
                        var bookListId = $this.data('booklistid');
                        var num = +$this.find('.collected-num').html()
                        qdsdk.invokeClient('app', 'checkLogin', {}, function (result) {
                            if(result.data.loginState) {
                                $.ajax({
                                    type: "post",
                                    url: ajaxUrl + "bookList/addBookList",
                                    data: {bookListId: bookListId},
                                    dataType: "json",
                                    success: function (response) {
                                        if (response.code == 0) {
                                            $this.parent().addClass('collected').find('.collected-num').html(num + 1);
                                        } else {
                                            qdsdk.ui.toast(response.msg);
                                        }
                                    }
                                });
                            } else {
                                qdsdk.app.openLogin();
                            }
                        });
                    });
                }
            });
        },


        // 顶部广告图切换效果
        initSlide: function () {
            var elContainer = $('#slideContainer');
            var elDots = $('#slideDot i');
            new Swipe(elContainer[0], {
                auto: 3000,
                transitionEnd: function (index) {
                    elDots.removeClass('active');
                    elDots.eq(index).addClass('active');
                }
            });
        },

        // 首页诸多选项卡切换效果
        initTab: function () {
            var self = this;
            // $('.module-slide-ol').on('swipe', function(e) {
            //     if (!$(this).hasClass('scrolltouch')) {
            //         e.preventDefault();
            //         $('.module-slide-ol').removeClass('scrolltouch');
            //         $(this).addClass('scrolltouch').trigger('swipe');
            //     }
            // });
            // 是否是iOS
            var isIOSWX = /iPhone/i.test(navigator.userAgent);
            if (isIOSWX) {
                // $('.module-slide-ol').addClass('WX');
            }
            var iscrollObj = [];
            $('.iscrollwrapper').each(function (i) {
                iscrollObj[i] = new Iscroll($(this)[0], { eventPassthrough: true, scrollX: true, scrollY: false, preventDefault: false, checkDOMChanges: true });
                var iscrollItem = iscrollObj[i];                
                $(this).data('isscroll-id', i);
                iscrollItem.on('scrollEnd', function () {
                    if(iscrollItem.x == iscrollItem.maxScrollX) {
                        // $(this.scroller).parent().parent().find('.module-tab').find('.active').parent().next().find('.btn-tab').trigger('click')                        
                        if($(this.scroller).parent().prev().find('.active').length) {
                            $(this.scroller).parent().prev().find('.active').parent().next().find('.btn-tab').trigger('click')                                                
                            this.scrollTo(0, 0);
                        }
                    } else if(iscrollItem.x == 0) {
                        // $(this.scroller).parent().parent().find('.module-tab').find('.active').parent().prev().find('.btn-tab').trigger('click')                        
                        if($(this.scroller).parent().prev().find('.active').length) {
                            $(this.scroller).parent().prev().find('.active').parent().prev().find('.btn-tab').trigger('click')                                                
                            this.scrollTo(0, 0);
                        }                        
                    }
                });
            });
            $('.module-slide-ol:first-child').addClass('scrolltouch');
            $('.moduleTab').each(function () {
                new Tab($(this).find('a'), {
                    aria: 'h3',
                    callback: function (targetTab, resetTab, targetPanel, resetPanel) {
                        // setTimeout(function () {
                        //     targetPanel.addClass('scrolltouch').siblings().removeClass('scrolltouch');
                        // }, 1100);
                        if (targetPanel.length) {
                            iscrollObj[targetPanel.parent().parent().data('isscroll-id')].refresh();
                        }
                        $(this).lazyLoad();
                    }
                });
            });
        },
    });
});
