define(function (require, exports, module) {
    var $ = require('lib.Zepto');
    var ejs = require('util.ejs2');

    exports = module.exports = {
        /**
         * 页面初始化
         */
        helpConfig: {
            data: {
                menuList: [
                    {
                        id: 10800,
                        name: '红袖添香账号体系更新公告',
                        subMenu: [
                            { id: 10801, name: '红袖添香账号体系更新公告' }
                        ]
                    },
                    {
                        id: 10100,
                        name: '阅读',
                        subMenu: [
                            { id: 10101, name: '为什么我正在看的书看不了了？' },
                            { id: 10102, name: '为什么阅读VIP章节都要订阅?' },
                            { id: 10103, name: '章节内容显示不全？' },
                            { id: 10104, name: '为什么书架上的书找不到？' }
                        ]
                    },
                    {
                        id: 10200,
                        name: '账户',
                        subMenu: [
                            { id: 10201, name: '为什么登录不成功？' },
                            { id: 10202, name: '为什么我的账号变了?' },
                            { id: 10203, name: '为什么我的昵称变了?' },
                            { id: 10204, name: '收不到手机短信验证码怎么办？' }, 
                            { id: 10205, name: '为什么我的昵称不能修改？' }, 
                            { id: 10206, name: '为什么找回密码提示用户名不存在？' }, 
                            { id: 10207, name: '为什么选择手机短信登录后我的资产都没有了？' }
                        ]
                    },
                    {
                        id: 10300,
                        name: '充值',
                        subMenu: [
                            { id: 10301, name: 'Android如何充值红袖币？' },
                            { id: 10302, name: 'iOS如何充值红袖币？' },
                            { id: 10303, name: '红袖币与人民币汇率？' },
                            { id: 10304, name: '充值红袖币不到账怎么办？' },
                            { id: 10305, name: '什么是红袖红袖币赠币？' },
                            { id: 10306, name: '如何查询红袖红袖币赠币以及使用期限？' },
                            { id: 10307, name: '红袖红袖币赠币的使用范围？' }
                        ]
                    },
                    {
                        id: 10900,
                        name: '礼物',
                        subMenu: [
                            { id: 10901, name: '赠送礼物说明' }
                            // { id: 10902, name: '打赏礼物规则' }
                        ]
                    },
                    {
                        id: 11000,
                        name: '月票',
                        subMenu: [
                            { id: 11001, name: '什么是月票？' },
                            { id: 11002, name: '如何获得月票？' },
                            { id: 11003, name: '月票的使用方法？' },
                            { id: 11004, name: '月票有有效期吗？' },
                            { id: 11005, name: '月票使用有数量限制吗？' },
                            { id: 11006, name: '月票的监管规则？' }
                        ]
                    },
                    {
                        id: 11100,
                        name: '推荐票',
                        subMenu: [
                            { id: 11101, name: '什么是推荐票？' },
                            { id: 11102, name: '推荐票如何获得？' },
                            { id: 11103, name: '推荐票的使用方法？' },
                            { id: 11104, name: '推荐票有有效期吗？' },
                            { id: 11105, name: '推荐票有使用数量限制吗？' },
                            { id: 11106, name: '推荐票的监管规则？' }
                        ]
                    },
                    {
                        id: 11200,
                        name: 'VIP等级',
                        subMenu: [
                            { id: 11201, name: '什么是VIP等级？' },
                            { id: 11202, name: 'VIP等级用户有哪些特权？' },
                            { id: 11203, name: '如何提升VIP等级？' }
                        ]
                    },
                    {
                        id: 10400,
                        name: '订阅',
                        subMenu: [
                            { id: 10401, name: '订阅收费标准' },
                            { id: 10402, name: '订阅失败？' },
                            { id: 10403, name: '什么是自动订阅下一章？' },
                        ]
                    },
                    {
                        id: 11300,
                        name: '迷妹',
                        subMenu: [
                            { id: 11301, name: '迷妹说明' }
                        ]
                    },
                    {
                        id: 10500,
                        name: '如何成为作家',
                        subMenu: [
                            { id: 10501, name: '如何成为作家？' }
                        ]
                    },
                    {
                        id: 10600,
                        name: '会员业务',
                        subMenu: [
                            { id: 10601, name: '会员业务终止通知' }
                        ]
                    },
                    {
                        id: 10700,
                        name: '联系客服',
                        subMenu: [
                            { id: 10701, name: '联系客服' }
                        ]
                    }
                ]
            }
        },
        init: function () {
            this.fillData();
        },
        fillData: function () {
            var self = this;
            var str = ejs.render('#tpl-help.html', self.helpConfig);
            $('.help-list').html(str);
            var elHelpList = $('.JsHelpAsk');
            var elHelpAskList = $('.JsHelpAskList');
            elHelpList.on('click', function () {
                var id = $(this).data('id');
                var target = $('#JsHelpBox_' + id);
                if (target.height() === 0) {
                    elHelpAskList.height(0);
                    target.unloading();
                    elHelpList.removeClass('active');
                    $(this).addClass('active');
                } else {
                    target.height(0);
                    elHelpList.removeClass('active');
                }
            });
        }
    };
});
