define(function (require, exports, module) {
    var $ = require('lib.Zepto');
    var ejs = require('util.ejs2');
    var URL = require('readnovelm/js/common/utils/url.js');

    exports = module.exports = {
        /**
         * 页面初始化
         */
        helpConfig: {
            10101: { name: '为什么我正在看的书看不了了？', content: '可能您所看的书，涉及敏感话题或者其他问题被暂时下架了，下架的书是不能阅读和订阅。' },
            10102: { name: '为什么阅读VIP章节都要订阅?', content: '请支持正版，支持作者。<br><br>红袖会不定期推出限时免费图书，限时有效，请密切关注。' },
            10103: { name: '章节内容显示不全？', content: '遇此问题请联系客服' },
            10104: { name: '为什么书架上的书找不到？', content: '可能是排序方式改变导致书架上的书找不到，找不到可以用搜索功能查找，搜索查找不到请联系客服' },
            10201: { name: '为什么登录不成功？', content: '因阅文集团旗下各子公司账号统一，您的红袖账号可能和您在阅文旗下其他站点的账户统一，请选择“红袖账号”登录方式登录，尤其是手机用户，请不要选择短信验证码登录；如果还不能登录，请尝试找回密码然后再登录；如果您有多种登录方式，请尝试使用其他登录方式；如果还有问题，请参考《红袖添香账号体系更新公告》或联系客服' },
            10202: { name: '为什么我的账号变了?', content: '因阅文集团旗下各子公司账号统一，为了避免和其他公司账号重复，我们在您的账号后面添加了.hx（比如原来为“张三”现在则为“张三.hx”），选择红袖账号登录时，您无需主动添加后缀，系统会帮您自动添加；选择阅文账户登录或登录作家专区或阅文旗下其他产品时，则需要您主动添加后缀“.hx”。' },
            10203: { name: '为什么我的昵称变了?', content: '昵称规则调整为不允许重复，所以以往重复的用户昵称后都加了后缀，如果您不满意现在的昵称，可以修改，昵称仅允许修改一次。' },
            10204: { name: '收不到手机短信验证码怎么办？', content: '第一步 请检查是否有第三方软件拦截手机短信。<br><br>第二步 若在拦截短信中仍未找到验证码，请联系客服。' },
            10205: { name: '为什么我的昵称不能修改？', content: '昵称可以修改，但仅允许修改一次，如果不能修改，说明您已经修改过昵称了。' },
            10206: { name: '为什么找回密码提示用户名不存在？', content: '当找回密码时，请在账户后面添加后缀“.hx” （比如原来为“张三”现在则为“张三.hx”），再进行找回，如有问题请联系客服。' },
            10207: { name: '为什么选择手机短信登录后我的资产都没有了？', content: '红袖原有手机用户，因账号更新，请选择“红袖账号登录”填写手机号和密码进行登录，不要选择手机密码登录方式登录。' },

            10301: { name: 'Android如何充值红袖币？', content: '红袖Android客户端的用户，在客户端“账户”界面点击“充值”按钮，选择适合自己的充值方式充值即可。目前支持的充值方式有微信支付和支付宝。请红袖用户在红袖官方充值平台充值。若通过其他非红袖平台充值发生问题，红袖概不负责。<br><br>红袖币不可兑换为现金，充值到账的红袖币不予返还。最终解释权归红袖阅读网所有。' },
            10302: { name: 'iOS如何充值红袖币？', content: '1.红袖iOS客户端的用户，在客户端“账户”界面点击“充值”按钮进行充值。<br><br> 2.在iOS客户端内充值的点数，在非iOS终端不能使用。<br><br>3.充值后的点数不可兑换为现金，充值到账的点数不予退款。' },
            10303: { name: '红袖币与人民币汇率？', content: '100红袖币=1元人民币' },
            10304: { name: '充值红袖币不到账怎么办？', content: '有时会因为网络延迟导致点数没有即时到账，请稍后查看账户余额。如长期未到账， 请联系客服。' },
            10305: { name: '什么是红袖红袖币赠币？', content: '小红袖币赠币是指用户通过指定红袖活动、渠道获取的限期免费币种。' },
            10306: { name: '如何查询红袖红袖币赠币以及使用期限？', content: '在账户或个人中心中可以直接查看即将到期的赠币的到期时间。' },
            10307: { name: '红袖红袖币赠币的使用范围？', content: '1.赠币是指用户通过指定活动获取的奖励，如充值返利等。<br><br>2.除非特别说明，通常赠币都有使用期限，不同的活动获得的赠币有效期可能不同。可在“账户“中查看赠币的到期时间。<br><br>3.除非特别说明，通常赠币只可以用于订阅章节，不能用于打赏等其他社区道具的消费。<br><br>4.除非特别说明，通常赠币消费不能获得消费相关的奖励。' },
            10401: { name: '订阅收费标准？', content: '作品标准定价可由作者自主制定，默认标准定价为5红袖币/1000字。<br><br>由于红袖销售的是虚拟商品，不接受任何形式的退换货。' },
            10402: { name: '订阅失败？', content: '订阅成功了，但阅读不了，遇到此问题请联系客服。' },
            10403: { name: '什么是自动订阅下一章？', content: '“自动订阅下一章“是指系统将会为您自动订阅当前正在阅读书籍的下一章节，以免去您翻阅到下一章的订购操作，可以专心阅读。<br><br>“自动订阅下一章”由用户自行设置或取消。' },
            10501: { name: '如何成为作家？', content: 'Step1：电脑访问 write.qq.com，点击“红袖作家登录入口”；<br><br>Step2：使用你的阅文通行证进行登录；<br><br>Step3：按照提示填写信息，即可申请成为作家啦！' },
            10601: { name: '会员业务终止通知', content: '亲爱的用户，由于业务调整，红袖已经终止会员业务，终止服务后未到期的会员功能，将以阅读币或其他补偿形式返还到您的红袖账号，届时会员未到期的用户请及时登录个人中心查看您的补偿返还情况。如未能获得补偿请联系客服。' },
            10701: { name: '联系客服', content: '客服电话：<a href="tel:010-59357051">010-59357051</a><br><br>客服QQ：<a href="mqqwpa://im/chat?chat_type=crm&uin=800057679&version=1&src_type=web&web_src=">800057679</a><br><br>读者咨询邮箱：<a href="mailto:qdkf@yuewen.com">qdkf@yuewen.com</a><br><br>作者咨询邮箱：<a href="mailto:zzkf@yuewen.com">zzkf@yuewen.com</a>' },
            10801: { name: '红袖添香账号体系更新公告', content: '尊敬的红袖用户，您好：<br><br> 因红袖产品升级和账号安全维护，本次更新可能对部分用户登录造成影响。给您造成不便，敬请谅解。<br><br> 如果您已经是红袖注册用户：<br><br>1. 6月8日前注册的用户，登录页，选择“红袖账号”，填写账号和密码就可以直接登录；<br><br> 2. 6月8日后注册的用户，登录页，选择 “阅文通行证”，填写账号和密码就可以直接登录。<br><br> 如果您还没有红袖账号：<br><br> 1. 点击“注册阅文通行证”注册，再登录时，请选“阅文通行证”登录；<br><br> 2. 不想注册，您可以直接选择QQ、微信等第三方登录方式直接登录。<br><br>阅文通行证是什么？<br><br>账号升级为阅文通行证后，您就可以无需再次注册，直接畅通无阻的登录阅文旗下各个产品，海量精品书等你来畅读。<br><br>我的阅文通行证是什么？<br><br>1. 6月8日前注册的用户，在原账户后面添加后缀“.hx”就是阅文通行证，登录作家专区、安全中心，一定要记得加后缀；<br><br>2. 6月8日后注册的用户，直接就是阅文通行证啦，无需添加任何后缀。<br><br> 如何找回密码？<br><br>1. 6月8日前注册的用户，找回密码时，需在账号后添加后缀“.hx”；<br><br>2. 没有绑定过安全手机或邮箱的用户，找回密码时，需提供充值单号等充值凭证，通过申诉的方式找回。<br><br>登录以后阅读记录或账户余额丢失怎么办？<br><br>如果您的账户绑定多个QQ或多个微信，或者QQ和微信同时绑定，根据我们的账号升级规则，一个账户只能帮定一个QQ或者一个微信，您登录后发现阅读记录或者账户余额等信息丢失，请尝试使用其他绑定的QQ或者微信登录。<br><br>6.如有其他问题，请联系红袖客服。<br><br> 客服电话：<a href="tel:010-59357051">010-59357051</a><br><br> 客服QQ：<a href="mqqwpa://im/chat?chat_type=crm&uin=800057679&version=1&src_type=web&web_src=">800057679</a><br><br> 读者咨询邮箱：<a href="mailto:qdkf@yuewen.com">ywkf@yuewen.com</a><br><br>作者咨询邮箱：<a href="mailto:zzkf@yuewen.com">zzkf@yuewen.com</a>' },
            10901: { name: '什么是打赏礼物？', content: '打赏是对作者进行鼓励的一种方式。如果您对某部作品的角色、情节、文笔等有强烈喜爱，可通过给角色打赏特定的礼物表达对作者的支持。' },
            10902: { name: '打赏礼物规则？', content: '<table>' +
            '<tbody>' +
            '<tr>' +
            '<th>' +
            '礼物名称' +
            '</th>' +
            '<th>' +
            '礼物价格（红袖币）' +
            '</th>' +
            '</tr>' +
            '<tr>' +
            '<td>' +
            '鲜花' +
            '</td>' +
            '<td>' +
            '99' +
            '</td>' +
            '</tr>' +
            '<tr>' +
            '<td>' +
            '咖啡' +
            '</td>' +
            '<td>' +
            '520' +
            '</td>' +
            '</tr>' +
            '<tr>' +
            '<td>' +
            '钻石' +
            '</td>' +
            '<td>' +
            '1314' +
            '</td>' +
            '</tr>' +
            '<tr>' +
            '<td>' +
            '豪车' +
            '</td>' +
            '<td>' +
            '6666' +
            '</td>' +
            '</tr>' +
            '<tr>' +
            '<td>' +
            '房子' +
            '</td>' +
            '<td>' +
            '10000' +
            '</td>' +
            '</tr>' +
            '<tr>' +
            '<td>' +
            '刀片' +
            '</td>' +
            '<td>' +
            '233' +
            '</td>' +
            '</tr>' +
            '</tbody>' +
            '</table>' },
            11301: { name: '什么是迷妹值？', content: '用户对某一部作品产生消费，即可成为该作品的迷妹，并获得对应于该作品的迷妹值。消费包括：订阅、赠送礼物、投月票。' },
            11302: { name: '迷妹值如何晋级？', content: '消耗1红袖币=1迷妹值（订阅、打赏礼物）<br/> <br/>投1张月票=100迷妹值' },            
            11303: { name: '迷妹值等级与称号', content: '<table>' +
            '<tbody>' +
            '<tr>' +
            '<th>' +
            '等级名称' +
            '</th>' +
            '<th>' +
            '迷妹值' +
            '</th>' +
            '</tr>' +
            '<tr>' +
            '<td>' +
            '至尊粉' +
            '</td>' +
            '<td>' +
            '80000' +
            '</td>' +
            '</tr>' +
            '<tr>' +
            '<td>' +
            '亲妈粉' +
            '</td>' +
            '<td>' +
            '50000' +
            '</td>' +
            '</tr>' +
            '<tr>' +
            '<td>' +
            '资深粉' +
            '</td>' +
            '<td>' +
            '40000' +
            '</td>' +
            '</tr>' +
            '<tr>' +
            '<td>' +
            '死忠粉' +
            '</td>' +
            '<td>' +
            '30000' +
            '</td>' +
            '</tr>' +
            '<tr>' +
            '<td>' +
            '达人粉' +
            '</td>' +
            '<td>' +
            '20000' +
            '</td>' +
            '</tr>' +
            '<tr>' +
            '<td>' +
            '狂热粉' +
            '</td>' +
            '<td>' +
            '10000' +
            '</td>' +
            '</tr>' +
            '<tr>' +
            '<td>' +
            '后宫粉' +
            '</td>' +
            '<td>' +
            '5000' +
            '</td>' +
            '</tr>' +
            '<tr>' +
            '<td>' +
            '超级粉' +
            '</td>' +
            '<td>' +
            '2000' +
            '</td>' +
            '</tr>' +
            '<tr>' +
            '<td>' +
            '进阶粉' +
            '</td>' +
            '<td>' +
            '1000' +
            '</td>' +
            '</tr>' +
            '<tr>' +
            '<td>' +
            '萌新粉' +
            '</td>' +
            '<td>' +
            '200' +
            '</td>' +
            '</tr>' +
            '<tr>' +
            '<td>' +
            '路人粉' +
            '</td>' +
            '<td>' +
            '1' +
            '</td>' +
            '</tr>' +
            '</tbody>' +
            '</table>' },
            11001: { name: '什么是月票？', content: '月票是VIP等级用户专有的票种，用来评选VIP上架作品' },
            11002: { name: '如何获得月票？',
                content: '获得月票有以下几种方法：<br/>保底月票：上月使用有价币订阅消费满1000红袖币，次月月初即可获得对应数量的月票，每月只可获得一次<br/>订阅月票：本月内使用有价币订阅消费满一定额度（各等级按表格中数值消费有价红袖币额度）即可马上获得，可重复获得<br/>打赏月票：单次打赏作品10000红袖币/张月票，系统自动给作品投月票<br>' +
                                                    '<table>' +
                                                    '<tbody>' +
                                                    '<tr>' +
                                                    '<th>' +
                                                    '等级名称' +
                                                    '</th>' +
                                                    '<th>' +
                                                    '千字订阅价格' +
                                                    '</th>' +
                                                    '<th>' +
                                                    '保底月票' +
                                                    '</th>' +
                                                    '<th>' +
                                                    '订阅月票' +
                                                    '</th>' +
                                                    '<th>' +
                                                    '打赏月票' +
                                                    '</th>' +
                                                    '</tr>' +
                                                    '<tr>' +
                                                    '<td>' +
                                                    'vip1' +
                                                    '</td>' +
                                                    '<td>' +
                                                    '5红袖币' +
                                                    '</td>' +
                                                    '<td>' +
                                                    '0' +
                                                    '</td>' +
                                                    '<td>' +
                                                    '2500有价红袖币/张' +
                                                    '</td>' +
                                                    '<td rowspan="9">' +
                                                    '打赏10000有价红袖币即投该书1张' +
                                                    '</td>' +
                                                    '</tr>' +
                                                    '<tr>' +
                                                    '<td>' +
                                                    'vip2' +
                                                    '</td>' +
                                                    '<td>' +
                                                    '5红袖币' +
                                                    '</td>' +
                                                    '<td>' +
                                                    '0' +
                                                    '</td>' +
                                                    '<td>' +
                                                    '2500有价红袖币/张' +
                                                    '</td>' +
                                                    '</tr>' +
                                                    '<tr>' +
                                                    '<td>' +
                                                    'vip3' +
                                                    '</td>' +
                                                    '<td>' +
                                                    '5红袖币' +
                                                    '</td>' +
                                                    '<td>' +
                                                    '1张' +
                                                    '</td>' +
                                                    '<td>' +
                                                    '2000有价红袖币/张' +
                                                    '</td>' +
                                                    '</tr>' +
                                                    '<tr>' +
                                                    '<td>' +
                                                    'vip4' +
                                                    '</td>' +
                                                    '<td>' +
                                                    '5红袖币' +
                                                    '</td>' +
                                                    '<td>' +
                                                    '2张' +
                                                    '</td>' +
                                                    '<td>' +
                                                    '2000有价红袖币/张' +
                                                    '</td>' +
                                                    '</tr>' +
                                                    '<tr>' +
                                                    '<td>' +
                                                    'vip5' +
                                                    '</td>' +
                                                    '<td>' +
                                                    '4红袖币' +
                                                    '</td>' +
                                                    '<td>' +
                                                    '2张' +
                                                    '</td>' +
                                                    '<td>' +
                                                    '1500有价红袖币/张' +
                                                    '</td>' +
                                                    '</tr>' +
                                                    '<tr>' +
                                                    '<td>' +
                                                    'vip6' +
                                                    '</td>' +
                                                    '<td>' +
                                                    '4红袖币' +
                                                    '</td>' +
                                                    '<td>' +
                                                    '3张' +
                                                    '</td>' +
                                                    '<td>' +
                                                    '1500有价红袖币/张' +
                                                    '</td>' +
                                                    '</tr>' +
                                                    '<tr>' +
                                                    '<td>' +
                                                    'vip7' +
                                                    '</td>' +
                                                    '<td>' +
                                                    '3红袖币' +
                                                    '</td>' +
                                                    '<td>' +
                                                    '3张' +
                                                    '</td>' +
                                                    '<td>' +
                                                    '1000有价红袖币/张' +
                                                    '</td>' +
                                                    '</tr>' +
                                                    '<tr>' +
                                                    '<td>' +
                                                    'vip8' +
                                                    '</td>' +
                                                    '<td>' +
                                                    '3红袖币' +
                                                    '</td>' +
                                                    '<td>' +
                                                    '4张' +
                                                    '</td>' +
                                                    '<td>' +
                                                    '1000有价红袖币/张' +
                                                    '</td>' +
                                                    '</tr>' +
                                                    '<tr>' +
                                                    '<td>' +
                                                    'vip9' +
                                                    '</td>' +
                                                    '<td>' +
                                                    '3红袖币' +
                                                    '</td>' +
                                                    '<td>' +
                                                    '4张' +
                                                    '</td>' +
                                                    '<td>' +
                                                    '800有价红袖币/张' +
                                                    '</td>' +
                                                    '</tr>' +
                                                    '</tbody>' +
                                                    '</table>'
            },
            11003: { name: '月票的使用方法？', content: '仅限VIP用户且该用户收藏了该作品，才能投月票；<br/>可从书籍详情页、阅读页、阅读末页、客户端书架等页面对作品投月票；<br/>投月票时，可选择投递票数。' },
            11004: { name: '月票有有效期吗？', content: '有，有效期为当月。每月1号0点，月票数量重新计算，并根据当月消费累积增加。请及时使用宝贵的月票。' },
            11005: { name: '月票使用有数量限制吗？', content: 'VIP会员对单本作品每月最多可投5张月票；<br/><br/>打赏月票无投票数量限制，每打赏10000红袖币，自动赠投1张月票。' },
            11006: { name: '月票的监管规则？', content: '为了维护榜单的公平与公正，严禁对作品刷月票；<br/>红袖会对榜单作品的数据进行程序和人工结合的方式进行判断分析是否有刷票行为；<br/>如果发现某部作品存在刷票现象，则会对作品票数进行查扣，对刷票的账号予以封禁投月票权限，甚至封禁登录权限。' },
            11101: { name: '什么是推荐票？', content: '推荐票是表达你对一部作品的喜爱并乐于与他人分享的票种，同时也是一部作品受欢迎程度的重要判断依据。' },
            11102: { name: '推荐票如何获得？',
                content: '根据VIP等级每日获取推荐票数，仅限当日有效，个人最高票数为7票' +
                        '<table>' +
                        '<tbody>' +
                        '<tr>' +
                        '<th colspan="10">' +
                        '等级特权' +
                        '</th>' +
                        '</tr>' +
                        '<tr>' +
                        '<td>' +
                        '等级名称' +
                        '</td>' +
                        '<td>' +
                        'vip1' +
                        '</td>' +
                        '<td>' +
                        'vip2' +
                        '</td>' +
                        '<td>' +
                        'vip3' +
                        '</td>' +
                        '<td>' +
                        'vip4' +
                        '</td>' +
                        '<td>' +
                        'vip5' +
                        '</td>' +
                        '<td>' +
                        'vip6' +
                        '</td>' +
                        '<td>' +
                        'vip7' +
                        '</td>' +
                        '<td>' +
                        'vip8' +
                        '</td>' +
                        '<td>' +
                        'vip9' +
                        '</td>' +
                        '</tr>' +
                        '<tr>' +
                        '<td>' +
                        '每日推荐票' +
                        '</td>' +
                        '<td>' +
                        '0' +
                        '</td>' +
                        '<td>' +
                        '1张' +
                        '</td>' +
                        '<td>' +
                        '2张' +
                        '</td>' +
                        '<td>' +
                        '3张' +
                        '</td>' + '<td>' +
                        '4张' +
                        '</td>' +
                        '<td>' +
                        '5张' +
                        '</td>' +
                        '<td>' +
                        '5张' +
                        '</td>' +
                        '<td>' +
                        '6张' +
                        '</td>' +
                        '<td>' +
                        '7张' +
                        '</td>' +
                        '</tr>' +
                        '</tbody>' +
                        '</table>'
            },
            11103: { name: '推荐票的使用方法？', content: '可从书籍详情页、阅读页、阅读末页、客户端书架等页面对作品投推荐票；<br/>投推荐票时，可选择投递票数。' },
            11104: { name: '推荐票有有效期吗？', content: '推荐票为日票，当日有效，次日0时清零并重新计算给出，请及时使用。' },
            11105: { name: '推荐票有使用数量限制吗？', content: '推荐票的使用无数量限制。' },
            11106: { name: '推荐票的监管规则？', content: '为维护红袖榜单的公平公正，严禁对作品违规刷数据的行为，其中包括不允许对作品刷推荐票。<br/>如果发现某部作品存在刷推荐票现象，则会扣除该部作品的推荐票以及相应比例的点击数；对刷票的帐号予以封禁推荐票权限。' },
            11201: { name: '什么是VIP等级？', content: 'VIP等级是你在红袖各平台进行消费之后达到的一个数值等级，等级越高，可获得的奖励和享受的特权越多。' },
            11202: { name: 'VIP等级用户有哪些特权？', content: '订阅消费达到指定条件可获月票，等级越高获得月票越多；只有VIP等级用户可以参与作品月票评选；<br/>每日额外赠送推荐票，等级越高获赠推荐票越多；<br/>iOS没有折扣特权；<br/>更多VIP特权陆续开放中，敬请期待……' },
            11203: { name: '如何提升VIP等级？',
                content: '当用户最近12个自然月累计消费（有价币）达到指定金额时即可自动升级；<br/>累计消费金额的情况包括：使用有价红袖币订阅、打赏、参与网站活动、购买道具等计入消费；<br/>消费金额的计算周期：动态计算本月及过去11个自然月的累计消费，达到消费金额后自动升级；<br/>不同等级所对应的升级所需消费金额：' +
                        '<table>' +
                        '<tbody>' +
                        '<tr>' +
                        '<th>' +
                        '等级' +
                        '</th>' +
                        '<th>' +
                        '升级所需消费金（最近12个自然月累计）' +
                        '</th>' +
                        '</tr>' +
                        '<tr>' +
                        '<td>' +
                        'VIP1' +
                        '</td>' +
                        '<td>' +
                        '任意金额' +
                        '</td>' +
                        '</tr>' +
                        '<tr>' +
                        '<td>' +
                        'VIP2' +
                        '</td>' +
                        '<td>' +
                        '6000红袖币' +
                        '</td>' +
                        '</tr>' +
                        '<tr>' +
                        '<td>' +
                        'VIP3' +
                        '</td>' +
                        '<td>' +
                        '18000红袖币' +
                        '</td>' +
                        '</tr>' +
                        '<tr>' +
                        '<td>' +
                        'VIP4' +
                        '</td>' +
                        '<td>' +
                        '36000红袖币' +
                        '</td>' +
                        '</tr>' +
                        '<tr>' +
                        '<td>' +
                        'VIP5' +
                        '</td>' +
                        '<td>' +
                        '72000红袖币' +
                        '</td>' +
                        '</tr>' +
                        '<tr>' +
                        '<td>' +
                        'VIP6' +
                        '</td>' +
                        '<td>' +
                        '128000红袖币' +
                        '</td>' +
                        '</tr>' +
                        '<tr>' +
                        '<td>' +
                        'VIP7' +
                        '</td>' +
                        '<td>' +
                        '240000红袖币' +
                        '</td>' +
                        '</tr>' +
                        '<tr>' +
                        '<td>' +
                        'VIP8' +
                        '</td>' +
                        '<td>' +
                        '480000红袖币' +
                        '</td>' +
                        '</tr>' +
                        '<tr>' +
                        '<td>' +
                        'VIP9' +
                        '</td>' +
                        '<td>' +
                        '960000红袖币' +
                        '</td>' +
                        '</tr>' +
                        '</tbody>' +
                        '</table>'
            }
        },
        params: {
            id: URL.getParamByName('id')
        },
        init: function () {
            this.fillData();
        },
        fillData: function () {
            var self = this;
            var id = self.params.id;
            var str = ejs.render('#tpl-help.html', self.helpConfig[id]);
            $('.helpdetail-question').html(str);
        }
    };
});
