/**
 * Created by liuwentao on 17/10/13.
 */
define(function (require, exports, module) {
    var $ = require('lib.Zepto');
    var ejs = require('util.ejs2');
    var merge = require('readnovelm/js/common/page/merge.js');

    exports = module.exports = merge({
        /**
         * 页面初始化
         */
        init: function () {
            var self = this;
            self.loadData();
            self.showBadgePop();
            self.closePop();
            self.medalShare();
        },
        /**
         *  加载数据
         */
        loadData: function () {
            $.getJSON(ajaxUrl + 'medal/index', function (result) {
                if (result.code === 0) {
                    var pageDom = ejs.render('#tpl-page-init.html', result);
                    $('.content').html(pageDom);
                }
            });
        },
        /*
         * 点击显示
         * @method showBadgePop
         * */
        showBadgePop: function () {
            $('.content').on('click', '.j_badgeItem', function () {
                var badgeLogo = $(this).attr('data-badgeid');
                $.ajax({
                    url: ajaxUrl + 'medal/detail',
                    type: 'POST',
                    dataType : 'json',
                    data: {
                        badgeLogo: badgeLogo
                    },
                    success: function (result) {
                        if (result.code === 0) {
                            var pop = ejs.render('#tpl-pop-init.html', result);
                            $('body').append(pop);
                        } else {
                            qdsdk.ui.toast(result.msg || '查看勋章详情失败，请稍候再试');
                        }
                    },
                    error: function () {
                        qdsdk.ui.toast('查看勋章详情失败，请稍候再试');
                    }
                });

            });
        },
        /*
         * 关闭弹窗
         * @method closePop
         * */
        closePop: function () {
            $('body').on('click', '.j_popClose', function () {
                $(this).parents('.medal-pop').remove();
                $('.medal-mark').remove();
            });
        },
        /*
         * 勋章分享
         * @method madelShare
         * */
        medalShare: function () {
            $('body').on('click', '.j_madelShare', function () {
                var $it = $(this);
                qdsdk.invokeClient('app', 'medalShare', {
                    badgeName: $it.attr('data-bname'),
                    coverUrl: $it.attr('data-curl'),
                    receiveTime: $it.attr('data-rtime')
                }, function (result) {
                    if (result.data.code === 0) {
                        $it.parents('.medal-pop').remove();
                        $('.medal-mark').remove();
                    } else {
                        qdsdk.ui.toast('勋章分享失败，请稍候再试');
                    }
                });
            });

        }
    });
});
