define(function (require, exports, module) {
    var $ = require('lib.Zepto');
    var ejs = require('util.ejs2');
    var merge = require('readnovelm/js/common/page/merge.js');

    exports = module.exports = merge({
        /**
         * 页面初始化
         */
        init: function () {
            var self = this;
            self.loadData();
        },
        /**
         *  加载数据
         */
        loadData: function () {
            var self = this;

            $.getJSON(ajaxUrl + 'user/level', function (result) {
                if (result.code === 0) {
                    var privilege = result.data.privilege,
                        level = result.data.level;
                        diffAmount = result.data.diffAmount;
                    switch (level) {
                        case 1:
                        case 2:
                        case 3:
                        case 4:
                            $(".vip-detail-info .icon").addClass("icon-level1");
                            $(".vip-detail-level").css("color","#DFC1A6")
                            break;
                        case 5:
                        case 6:
                            $(".vip-detail-info .icon").addClass("icon-level2");
                            $(".vip-detail-level").css("color","#BED2F1")
                            break;
                        case 7:
                        case 8:
                        case 9:
                            $(".vip-detail-info .icon").addClass("icon-level3");
                            $(".vip-detail-level").css("color","#F1C025")
                            break;
                        default:
                            $(".vip-detail-info .icon").addClass("icon-level1");
                            $(".vip-detail-level").css("color","#DFC1A6")
                            break;
                    }
                    $('#level').html(level);
                    $('#diffamount').html(diffAmount);                    
                    // $('#level-next').html(result.data.nextLevel);
                    // $('#circleAni').attr('stroke-dasharray', (1- result.data.diff) * 360 + ' 691');
                    $('#vip-sub').html(privilege[0]);
                    $('#vip-min-month').html(privilege[1]);
                    $('#vip-pay-month').html(privilege[2]);
                    $('#vip-sub-month').html(privilege[3]);
                    $('#vip-rec').html(privilege[4]);
                    qdsdk.invokeClient('ui', 'setLoadingProgressFinish');
                }
            });
        },
    });
});
