define(function (require, exports, module) {
    var $ = require('lib.Zepto');
    var ejs = require('util.ejs2');
    // 页面继承方法
    var merge = require('../../../static/js/common/page/merge.js');
    var lazyLoadMixin = require('../../../static/js/common/mixin/lazyLoad.js');
    // 侧边栏切换
    // var lazyLoad = require('../../../static/js/common/components/lazyLoad.js');
    // 选项卡切换
    var Tab = require('../../../static/js/common/components/Tab.js');
    // 头部广告位滑来滑去
    var Swipe = require('../../../static/js/common/components/Swipe.js');
    // 头部广告位滑来滑去
    var Inertia = require('../../../static/js/common/components/Inertia.js');
    // 模板扩展方法
    var tplExtends = require('../../../static/js/common/utils/tplExtends.js');
    var Iscroll = require('../../../static/js/common/components/iscroll.js');
    exports = module.exports = merge({
        mixins: [lazyLoadMixin],

        /**
         * 页面初始化
         */
        init: function () {
            // fill data
            this.fillData();


            this.refreshEvent();

            this.visibilityEvent();
        },

        // 限时免费倒计时效果
        initFree: function (notfirst) {
            var $time = $('#time');

            $.getJSON(ajaxUrl + 'freeBook/getEndTime', {
            }, function (result) {
                // 元素
                // 子元素
                var elTimeChilds = $time.children();
                // 时间
                var seconds = result.endTime;
                // 定时器
                // var timer = null;
                // 非首次
                if (notfirst) {
                    clearInterval(timer);
                }

                // 加0方法，如果小于10
                var fnZero = function (number) {
                    if (number > 0) {
                        if (number <= 9) {
                            return '0' + number;
                        }
                        return '' + number;
                    }
                    return '00';
                };

                if (!seconds) {
                    seconds = 0;
                }

                // 显示时间
                var fnTime = function () {
                    if (seconds >= 0) {
                        var arrTime = [
                            fnZero(Math.floor(seconds / 86400)),
                            fnZero(Math.floor((seconds % 86400) / 3600)),
                            fnZero(Math.floor((seconds % 3600) / 60)),
                            fnZero(seconds % 60)
                        ];

                        elTimeChilds.each(function (index) {
                            if (arrTime[index] !== undefined) {
                                $(this).html(arrTime[index]);
                            }
                        });
                    } else {
                        elTimeChilds.html('00');
                        clearInterval(timer);
                    }

                    seconds -= 1;
                };

                fnTime();

                timer = setInterval(fnTime, 1000);

                // 显示时间
                $time.removeAttr('data-second');
            });
        },

        refreshEvent: function () {
            var self = this;
            qdsdk.invokeClient('event', 'add', { name: 'refreshEvent' });
            qdsdk.addEventListener('refreshEvent', function (result) {
                if (result.result == 0) {
                    // true表示是通过refresh触发的
                    self.fillData(true);
                }
            });
        },

        visibilityEvent: function () {
            var self = this;
            qdsdk.invokeClient('event', 'add', { name: 'browserVisibilityChange' });
            qdsdk.addEventListener('browserVisibilityChange', function (result) {
                if (result.data.visibility) {
                    // $('body').lazyLoad();
                    // self.initSlide();
                }
            });
        },
        
        initFree: function () {
            var timer = null;            
            var timeRun = function () {
                $times = $('time');
                for(var i = 0;i < $times.length;i++) {
                    var $time = $($times[i]);
                    var elTimeChilds = $time.children();
                    // 时间
                    var seconds = $time.data('second');
                    // 定时器
                    // var timer = null;
                    // 非首次

                    // 加0方法，如果小于10
                    var fnZero = function (number) {
                        if (number > 0) {
                            if (number <= 9) {
                                return '0' + number;
                            }
                            return '' + number;
                        }
                        return '00';
                    };

                    if (!seconds) {
                        seconds = 0;
                    }

                    // 显示时间
                    var fnTime = function () {
                        if (seconds >= 0) {
                            var arrTime = [
                                fnZero(Math.floor(seconds / 86400)),
                                fnZero(Math.floor((seconds % 86400) / 3600)),
                                fnZero(Math.floor((seconds % 3600) / 60)),
                                fnZero(seconds % 60)
                            ];

                            elTimeChilds.each(function (index) {
                                if (arrTime[index] !== undefined) {
                                    $(this).html(arrTime[index]);
                                }
                            });
                        } else {
                            elTimeChilds.html('00');
                        }
                        seconds -= 1;
                        $time.data('second', seconds);
                    };

                    fnTime();

                }
            }
            $.getJSON(ajaxUrl + 'welfare/getEndTime', {
            }, function (result) {
                var data = result.data;
                $('#cur-limit-module time').data('second', data.curLimit.endTime);
                $('#classic-limit-module time').data('second', data.classicLimit.endTime);
                $('#new-limit-module time').data('second', data.newLimit.endTime);
                $('#hot-limit-module time').data('second', data.hotLimit.endTime);  
                timeRun();
                timer = setInterval(timeRun, 1000);                
            });
        },

        //  填充数据
        fillData: function (refreshEvent) {
            var self = this;
            var iscrollObj = [];            
            $.getJSON(ajaxUrl + 'welfare/index', function (result) {
                if (result.code == 0) {
                    $('.loadingholder').hide();
                    var data = result.data;
                    if (refreshEvent) {
                        qdsdk.invokeClient('ui', 'cancelRefresh');
                        qdsdk.ui.toast('更新成功');
                    } else {
                        // self.initFree();
                        // setInterval(function () {
                        //     self.initFree(true);
                        // }, 1000 * 20);
                        self.initFree();                    
                    }
                    // if (data.adInfo.adFirst) {
                    //     data.adInfo.adFirst.eventid = 'hx_B49';
                    //     var adFirst = ejs.render('#tpl-ad-item.html', data.adInfo.adFirst);
                    //     $('.home-ad-first').html(adFirst); // 单条广告
                    // }

                    
                    if (data.adInfo.banner.length) {
                        var banner = ejs.render('#tpl-ad-list.html', { list: data.adInfo.banner });
                        $('#slideContainer').html(banner); // 首页轮播
                        // 顶部的图片滑动切换效果

                        self.initSlide();
                    }
                    var curLimit = data.curLimit.bookList;
                    if (curLimit != 0) {
                        curLimit.eventid = 'hx_Q02';
                        var curLimitInfo = ejs.render('#tpl-slide-li.html', { list: curLimit });
                        $('#curLimit').html(curLimitInfo); 
                        $('#cur-limit-module').show();
                    }

                    var classicLimit = data.classicLimit.bookList;
                    if (classicLimit != 0) {
                        classicLimit.eventid = 'hx_Q03';
                        var classicLimitInfo = ejs.render('#tpl-slide-li.html', { list: classicLimit });
                        $('#classicLimit').html(classicLimitInfo); 
                        $('#classic-limit-module').show();
                    }

                    var newLimit = data.newLimit.bookList;
                    if (newLimit != 0) {
                        newLimit.eventid = 'hx_Q04';
                        var newLimitInfo = ejs.render('#tpl-slide-li.html', { list: newLimit });
                        $('#newLimit').html(newLimitInfo); 
                        $('#new-limit-module').show();
                    }

                    var hotLimit = data.hotLimit.bookList;
                    if (hotLimit != 0) {
                        hotLimit.eventid = 'hx_Q05';
                        var hotLimitInfo = ejs.render('#tpl-slide-li.html', { list: hotLimit });
                        $('#hotLimit').html(hotLimitInfo); 
                        $('#hot-limit-module').show();
                    }

                    data.hotFree.eventid = 'hx_Q06';
                    var hotFreeInfo = ejs.render('#tpl-book-list.html', { list: data.hotFree });
                    $('#hotFree').html(hotFreeInfo); // 人气免费

                    // self.initLazyLoad();
                    $('body').lazyLoad();
                    var imgLoadedNum = 0;
                    $('img').on('load', function () {
                        imgLoadedNum++;
                        if (imgLoadedNum == 19) {
                            qdsdk.invokeClient('ui', 'setLoadingProgressFinish');
                        }
                    });
                    $('.iscrollwrapper').each(function (i) {
                        iscrollObj[i] = new Iscroll($(this)[0], { eventPassthrough: true, scrollX: true, scrollY: false, preventDefault: false, checkDOMChanges: true,disablePointer: true, disableTouch:false, disableMouse:false  });
                        $(this).data('isscroll-id', i);
                    });
                }
            });

            $.ajax({
                type: "get",
                url: ajaxUrl + "welfare/limitTicketBook",
                data: "",
                dataType: "json",
                success: function (response) {
                    if (response.data && response.data.length) {
                        var limitTicket = ejs.render('#tpl-limit-ticket-li.html', {list: response.data});
                        $('#limitTicket').html(limitTicket); // 限免券兑换            
                        $('#limit-ticket-module').show();            
                    } else {
                        $('#limit-ticket-module').hide();                                    
                    }
                    $('.btn-get-discount').on('click', function (e) {
                        e.preventDefault();
                        var $this = $(this);      
                        if($this.hasClass('disable')) {
                            return ;
                        }                  
                        var bookId = $this.data('bookid');
                        qdsdk.invokeClient('app', 'checkLogin', {}, function (result) {
                            if(result.data.loginState) {
                                qdsdk.ui.popup({text: '确定要兑换吗？', buttons: ['取消', '确定']}, function (result) {
                                    if (result.data.action == 1) {
                                        $.ajax({
                                            type: "post",
                                            url: ajaxUrl + "welfare/exchange",
                                            data: {bookId: bookId},
                                            dataType: "json",
                                            success: function (response) {
                                                if (response.code == 0) {
                                                    // $this.parent().addClass('collected').find('.collected-num').html(num + 1);
                                                    $this.html('已兑换').addClass('disable');
                                                    qdsdk.ui.toast(response.msg);                                            
                                                } else if(response.code == 14) {
                                                    qdsdk.ui.popup({text: '当前作品正在限免中哦~不需要兑换啦！', buttons: ['知道了', '去阅读']}, function (result) {
                                                        if (result.data.action == 1) {
                                                            qdsdk.invokeClient('app', 'reportNative', {eventId: "hx_Q08"});
                                                            qdsdk.app.openBook('' + bookId);
                                                        }
                                                    });
                                                } else {
                                                    qdsdk.ui.toast(response.msg);
                                                }
                                                $('.iscrollwrapper').each(function (i) {
                                                    iscrollObj[i] = new Iscroll($(this)[0], { eventPassthrough: true, scrollX: true, scrollY: false, preventDefault: false, checkDOMChanges: true });
                                                    $(this).data('isscroll-id', i);
                                                });
                                            }
                                        });
                                    }
                                });
                            } else {
                                qdsdk.app.openLogin();
                            }
                        });
                    });
                }
            });
        },


        // 顶部广告图切换效果
        initSlide: function () {
            var elContainer = $('#slideContainer');
            var elDots = $('#slideDot i');
            new Swipe(elContainer[0], {
                auto: 3000,
                transitionEnd: function (index) {
                    elDots.removeClass('active');
                    elDots.eq(index).addClass('active');
                }
            });
        },

        // 首页诸多选项卡切换效果
        initTab: function () {
            var self = this;
            // $('.module-slide-ol').on('swipe', function(e) {
            //     if (!$(this).hasClass('scrolltouch')) {
            //         e.preventDefault();
            //         $('.module-slide-ol').removeClass('scrolltouch');
            //         $(this).addClass('scrolltouch').trigger('swipe');
            //     }
            // });
            // 是否是iOS
            var isIOSWX = /iPhone/i.test(navigator.userAgent);
            if (isIOSWX) {
                // $('.module-slide-ol').addClass('WX');
            }
            var iscrollObj = [];
            $('.iscrollwrapper').each(function (i) {
                iscrollObj[i] = new Iscroll($(this)[0], { eventPassthrough: true, scrollX: true, scrollY: false, preventDefault: false, checkDOMChanges: true });
                $(this).data('isscroll-id', i);
            });
            $('.module-slide-ol:first-child').addClass('scrolltouch');
            $('.moduleTab').each(function () {
                new Tab($(this).find('a'), {
                    aria: 'h3',
                    callback: function (targetTab, resetTab, targetPanel, resetPanel) {
                        // setTimeout(function () {
                        //     targetPanel.addClass('scrolltouch').siblings().removeClass('scrolltouch');
                        // }, 1100);
                        if (targetPanel.length) {
                            iscrollObj[targetPanel.parent().parent().data('isscroll-id')].refresh();
                        }
                        $(this).lazyLoad();
                    }
                });
            });
        },
    });
});
