/**
 * Created by rainszhang on 16-1-21.
 */
LBF.define('monitor.ztReport', function(require){

    var ztReport = {};
    var debug = false;
    var console = window.console || {};
    console.log = console.log || function(){};

    var url = {
        common: [
            // 腾讯点击流
            'http://pingjs.qq.com/ping.js'
        ],
        // 起点中文站点
        qd: [
            'http://uedas.qidian.com/javascript/statlib.js',
            'http://uedas.qidian.com/javascript/dw_beacon.js'
        ],
        // 创世中文站点
        cs: [
            // 腾讯TA，创世全部站点
            'http://tajs.qq.com/stats?sId=34321758',
            // 腾讯TA，创世单站点
            'http://tajs.qq.com/stats?sId=34321527',
            // 腾讯点击流
            'http://pingjs.qq.com/ping_tcss_ied.js'
        ]
    }

    /**
     * 上报入口函数，为专题类页面上报数据，可以再腾讯点击流、TA查看数据，其中点击流可以
     * @method report
     *
     * @param {Object} options
     * @param {String} options.domain，需要统计的站点 (qd|cs)
     */
    ztReport.report = function(options){

        // 默认起点 *.qidian.com
        var domain = options && options.domain || "";

        // tencent TCSS by YUED, 发现很多专题是没有数据统计，为专题新开了一个点击流统计，避免数据确实，后续其他系统权限开放，这个统计可以考虑去除
        // 统计的网站有：zt.qidian.com, topic.qq.com, pages.book.qq.com, wwwploy.qidian.com, yunqi.qq.com
        require.async(url.common[0], function(b) {

            debug && console.log('common tcss');

            // 基础统计（PV、UV）、实时统计、来源统计、环境分析、地理位置分析、路径分析，更高级的功能需要配置
            if(typeof(pgvMain) == 'function'){
                pgvMain();
            }
        });

        // 起点站点，*.qidian.com
        if(domain === "qd"){
            require.async(url.qd[0], function(b) {
                debug && console.log('qd statlib');
                CmfuTracker();
            });
            require.async(url.qd[1], function(){
                debug && console.log('qd dw_beacon');
            });
        }

        // 创世站点，pages.book.qq.com
        if(domain === "cs"){

            // 创世系多个网站的总id，统计总流量
            require.async(url.cs[0], function(){
                debug && console.log('cs sId=34321758');
            });

            // 单个网站自己的id，统计单个网站流量
            require.async(url.cs[1], function(){

                debug && console.log('cs sId=34321527');

                // 腾讯要求加入的统计
                require.async(url.cs[2], function(){

                    debug && console.log('cs TA');

                    // 基础统计（PV、UV）、实时统计、来源统计、环境分析、地理位置分析、路径分析，更高级的功能需要配置
                    if(typeof(pgvMain) == 'function'){
                        pgvMain();
                    }
                });
            });
        }
    }

    return ztReport;
});